#include "ComponentA.h"
#include <ocl/Component.hpp>

#include <iostream>

using namespace std;

namespace Utility {

ComponentA::ComponentA(std::string name)
    : RTT::TaskContext(name),
      oneOperation("oneOperation")
{
	this->ports()->addPort("inPort", inPort).doc("double input port");
	this->requires("display")->addOperationCaller(oneOperation);
}

bool ComponentA::configureHook()
{
	return true;
}
void ComponentA::cleanupHook()
{

}

bool ComponentA::startHook()
{
    return true;
}
void ComponentA::stopHook()
{

}

void ComponentA::updateHook()
{
	try {
                if(requires("display")->ready())
	 	    cout << "Service display ready" << endl;
		if (oneOperation.ready())
		    oneOperation.send("Test Msg");
		else
		    cout << "Not ready" << endl;
	} catch (...) {
		cout << "Error Exception" << endl;
	}
}
} //namespace Utility


ORO_CREATE_COMPONENT_TYPE()
ORO_LIST_COMPONENT_TYPE( Utility::ComponentA )
