#ifndef UTILITY_COMPONENTA_H
#define UTILITY_COMPONENTA_H

#include <rtt/TaskContext.hpp>
#include <rtt/Property.hpp>
#include <rtt/Operation.hpp>
#include <rtt/Port.hpp>
#include <rtt/RTT.hpp>
#include <rtt/Logger.hpp>

using namespace Orocos;
using namespace std;

namespace Utility {


class ComponentA : public RTT::TaskContext
{

public:

    /// Constructeur
	ComponentA(std::string name);

    /// Fonction de configuration
    /// \return false si erreur de configuration
    bool configureHook();

    /// Fonction de démarrage
    /// \return false si erreur de démarrage
    bool startHook();

    /// Fonction de mise à jour
    void updateHook();

    /// Fonction d'arrêt
    void stopHook();

    /// Fonction de nettoyage
    void cleanupHook();

protected:
    InputPort< double> inPort;

    OperationCaller<void(string)> oneOperation;

private:

};
}

#endif // UTILITY_COMPONENTA_H
