#ifndef UTILITY_COMPONENTB_H
#define UTILITY_COMPONENTB_H

#include <rtt/TaskContext.hpp>
#include <rtt/Property.hpp>
#include <rtt/Operation.hpp>
#include <rtt/Port.hpp>
#include <rtt/RTT.hpp>
#include <rtt/Logger.hpp>

using namespace Orocos;
using namespace std;

namespace Utility {


class ComponentB : public RTT::TaskContext
{

public:

    /// Constructeur
	ComponentB(std::string name);

    /// Fonction de configuration
    /// \return false si erreur de configuration
    bool configureHook();

    /// Fonction de démarrage
    /// \return false si erreur de démarrage
    bool startHook();

    /// Fonction de mise à jour
    void updateHook();

    /// Fonction d'arrêt
    void stopHook();

    /// Fonction de nettoyage
    void cleanupHook();

protected:
    OutputPort< double> outPort;

    void oneOperation(string msg);



private:
    double value;
    int msgReceive;
};
}

#endif // UTILITY_COMPONENTB_H
